using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class MultiViewTest : System.Web.UI.Page
{
   protected void Page_Load(object sender, EventArgs e)
   {
      //Przy pierwszym załadowaniu strony ,
      //generujemy DefaultView.
      if (!IsPostBack)
      {
         // Ustaiwenie CustomerView jako domyślnego widoku
         mviewMain.SetActiveView(CustomerView);
      }
   }
   protected void LinkButton_Command(object sender, CommandEventArgs e)
   {
      // Sprawdzenie, który przycisk łącza został kliknięty 
      // i ustawienie aktywnego widoku
      // na wybrany przez użytkownika
      switch ((string)e.CommandName)
      {
         case "Customer":
            mviewMain.SetActiveView(CustomerView);
            break;
         case "Book":
            mviewMain.SetActiveView(BookView);
            break;
         case "Categories":
            mviewMain.SetActiveView(CategoriesView);
            break;
      }

   }
}
